# -*- coding: utf-8 -*-
#tenjidic.py
#jtalk/tenjidic.py
#A part of NonVisual Desktop Access (NVDA)
#This file is covered by the GNU General Public License.
#See the file COPYING for more details.
#Copyright (C) 2012 Masataka.Shinke

dic1={
u' ':['\x20','\x2800','\x00',u'⠀'],
u'ア':['\x21','\x2801','\x80',u'⠁'],
u'イ':['\x23','\x2803','\xc0',u'⠃'],
u'ウ':['\x29','\x2809','\x88',u'⠉'],
u'エ':['\x2b','\x280b','\xc8',u'⠋'],
u'オ':['\x2a','\x280a','\x48',u'⠊'],
u'カ':['\x41','\x2821','\x82',u'⠡'],
u'キ':['\x43','\x2823','\xc2',u'⠣'],
u'ク':['\x49','\x2829','\x8a',u'⠩'],
u'ケ':['\x4b','\x282b','\xca',u'⠫'],
u'コ':['\x4a','\x282a','\x4a',u'⠪'],
u'サ':['\x51','\x2831','\x86',u'⠱'],
u'シ':['\x53','\x2833','\xc6',u'⠳'],
u'ス':['\x59','\x2839','\x8e',u'⠹'],
u'セ':['\x5b','\x283b','\xce',u'⠻'],
u'ソ':['\x5a','\x283a','\x4e',u'⠺'],
u'タ':['\x35','\x2815','\xa4',u'⠕'],
u'チ':['\x37','\x2817','\xe4',u'⠗'],
u'ツ':['\x3d','\x281d','\xac',u'⠝'],
u'テ':['\x3f','\x281f','\xec',u'⠟'],
u'ト':['\x3e','\x281e','\x6c',u'⠞'],
u'ナ':['\x25','\x2805','\xa0',u'⠅'],
u'ニ':['\x27','\x2807','\xe0',u'⠇'],
u'ヌ':['\x2d','\x280d','\xa8',u'⠍'],
u'ネ':['\x2f','\x280f','\xe8',u'⠏'],
u'ノ':['\x2e','\x280e','\x68',u'⠎'],
u'ハ':['\x45','\x2825','\xa2',u'⠥'],
u'ヒ':['\x47','\x2827','\xe2',u'⠧'],
u'フ':['\x4d','\x282d','\xaa',u'⠭'],
u'ヘ':['\x4f','\x282f','\xea',u'⠯'],
u'ホ':['\x4e','\x282e','\x6a',u'⠮'],
u'マ':['\x55','\x2835','\xa6',u'⠵'],
u'ミ':['\x57','\x2837','\xe6',u'⠷'],
u'ム':['\x5d','\x283d','\xae',u'⠽'],
u'メ':['\x5f','\x283f','\xee',u'⠿'],
u'モ':['\x5e','\x283e','\x6e',u'⠾'],
u'ヤ':['\x2c','\x280c','\x28',u'⠌'],
u'ユ':['\x4c','\x282c','\x2a',u'⠬'],
u'ヨ':['\x3c','\x281c','\x2c',u'⠜'],
u'ラ':['\x31','\x2811','\x84',u'⠑'],
u'リ':['\x33','\x2813','\xc4',u'⠓'],
u'ル':['\x39','\x2819','\x8c',u'⠙'],
u'レ':['\x3b','\x281b','\xcc',u'⠛'],
u'ロ':['\x3a','\x281a','\x4c',u'⠚'],
u'ワ':['\x24','\x2804','\x20',u'⠄'],
u'ヰ':['\x26','\x2806','\x60',u'⠆'],
u'ヱ':['\x36','\x2816','\x64',u'⠖'],
u'ヲ':['\x34','\x2814','\x24',u'⠔'],
u'ン':['\x54','\x2834','\x26',u'⠴'],
u'ー':['\x32','\x2812','\x44',u'⠒'],
u'、':['\x50','\x2830','\x06',u'⠰'],
u'。':['\x52','\x2832','\x46',u'⠲'],
u'｜':['\x56','\x2836','\x66',u'⠶'],
u'ッ':['\x22','\x2802','\x40',u'⠂'],
u'＿':['\x44','\x2824','\x22',u'⠤'],
u'ヴ':['\x30\x29','\x2810\x2809','\x04\x88',u'⠐⠉'],
u'ガ':['\x30\x41','\x2810\x2821','\x04\x82',u'⠐⠡'],
u'ギ':['\x30\x43','\x2810\x2823','\x04\xc2',u'⠐⠣'],
u'グ':['\x30\x49','\x2810\x2829','\x04\x8a',u'⠐⠩'],
u'ゲ':['\x30\x4b','\x2810\x282b','\x04\xca',u'⠐⠫'],
u'ゴ':['\x30\x4a','\x2810\x282a','\x04\x4a',u'⠐⠪'],
u'ザ':['\x30\x51','\x2810\x2831','\x04\x86',u'⠐⠱'],
u'ジ':['\x30\x53','\x2810\x2833','\x04\xc6',u'⠐⠳'],
u'ズ':['\x30\x59','\x2810\x2839','\x04\x8e',u'⠐⠹'],
u'ゼ':['\x30\x5b','\x2810\x283b','\x04\xce',u'⠐⠻'],
u'ゾ':['\x30\x5a','\x2810\x283a','\x04\x4e',u'⠐⠺'],
u'ダ':['\x30\x35','\x2810\x2815','\x04\xa4',u'⠐⠕'],
u'ヂ':['\x30\x37','\x2810\x2817','\x04\xe4',u'⠐⠗'],
u'ヅ':['\x30\x3d','\x2810\x281d','\x04\xac',u'⠐⠝'],
u'デ':['\x30\x3f','\x2810\x281f','\x04\xec',u'⠐⠟'],
u'ド':['\x30\x3e','\x2810\x281e','\x04\x6c',u'⠐⠞'],
u'バ':['\x30\x45','\x2810\x2825','\x04\xa2',u'⠐⠥'],
u'ビ':['\x30\x47','\x2810\x2827','\x04\xe2',u'⠐⠧'],
u'ブ':['\x30\x4d','\x2810\x282d','\x04\xaa',u'⠐⠭'],
u'ベ':['\x30\x4f','\x2810\x282f','\x04\xea',u'⠐⠯'],
u'ボ':['\x30\x4e','\x2810\x282e','\x04\x6a',u'⠐⠮'],
u'パ':['\x40\x45','\x2820\x2825','\x02\xa2',u'⠠⠥'],
u'ピ':['\x40\x47','\x2820\x2827','\x02\xe2',u'⠠⠧'],
u'プ':['\x40\x4d','\x2820\x282d','\x02\xaa',u'⠠⠭'],
u'ペ':['\x40\x4f','\x2820\x282f','\x02\xea',u'⠠⠯'],
u'ポ':['\x40\x4e','\x2820\x282e','\x02\x6a',u'⠠⠮'],
u'イェ':['\x28\x2b','\x2808\x280b','\x08\xc8',u'⠈⠋'],
u'キャ':['\x28\x41','\x2808\x2821','\x08\x82',u'⠈⠡'],
u'キュ':['\x28\x49','\x2808\x2829','\x08\x8a',u'⠈⠩'],
u'キェ':['\x28\x4b','\x2808\x282b','\x08\xca',u'⠈⠫'],
u'キョ':['\x28\x4a','\x2808\x282a','\x08\x4a',u'⠈⠪'],
u'シャ':['\x28\x51','\x2808\x2831','\x08\x86',u'⠈⠱'],
u'スィ':['\x28\x53','\x2808\x2833','\x08\xc6',u'⠈⠳'],
u'シュ':['\x28\x59','\x2808\x2839','\x08\x8e',u'⠈⠹'],
u'シェ':['\x28\x5b','\x2808\x283b','\x08\xce',u'⠈⠻'],
u'ショ':['\x28\x5a','\x2808\x283a','\x08\x4e',u'⠈⠺'],
u'チャ':['\x28\x35','\x2808\x2815','\x08\xa4',u'⠈⠕'],
u'ティ':['\x28\x37','\x2808\x2817','\x08\xe4',u'⠈⠗'],
u'チュ':['\x28\x3d','\x2808\x281d','\x08\xac',u'⠈⠝'],
u'チェ':['\x28\x3f','\x2808\x281f','\x08\xec',u'⠈⠟'],
u'チョ':['\x28\x3e','\x2808\x281e','\x08\x6c',u'⠈⠞'],
u'ニャ':['\x28\x25','\x2808\x2805','\x08\xa0',u'⠈⠅'],
u'ニュ':['\x28\x2d','\x2808\x280d','\x08\xa8',u'⠈⠍'],
u'ニェ':['\x28\x2f','\x2808\x280f','\x08\xe8',u'⠈⠏'],
u'ニョ':['\x28\x2e','\x2808\x280e','\x08\x68',u'⠈⠎'],
u'ヒャ':['\x28\x45','\x2808\x2825','\x08\xa2',u'⠈⠥'],
u'ヒュ':['\x28\x4d','\x2808\x282d','\x08\xaa',u'⠈⠭'],
u'ヒェ':['\x28\x4f','\x2808\x282f','\x08\xea',u'⠈⠯'],
u'ヒョ':['\x28\x4e','\x2808\x282e','\x08\x6a',u'⠈⠮'],
u'ミャ':['\x28\x55','\x2808\x2835','\x08\xa6',u'⠈⠵'],
u'ミュ':['\x28\x5d','\x2808\x283d','\x08\xae',u'⠈⠽'],
u'ミェ':['\x28\x5f','\x2808\x283f','\x08\xee',u'⠈⠿'],
u'ミョ':['\x28\x5e','\x2808\x283e','\x08\x6e',u'⠈⠾'],
u'リャ':['\x28\x31','\x2808\x2811','\x08\x84',u'⠈⠑'],
u'リュ':['\x28\x39','\x2808\x2819','\x08\x8c',u'⠈⠙'],
u'リェ':['\x28\x3b','\x2808\x281b','\x08\xcc',u'⠈⠛'],
u'リョ':['\x28\x3a','\x2808\x281a','\x08\x4c',u'⠈⠚'],
u'ギャ':['\x38\x41','\x2818\x2821','\x0c\x82',u'⠘⠡'],
u'ギュ':['\x38\x49','\x2818\x2829','\x0c\x8a',u'⠘⠩'],
u'ギェ':['\x38\x4b','\x2818\x282b','\x0c\xca',u'⠘⠫'],
u'ギョ':['\x38\x4a','\x2818\x282a','\x0c\x4a',u'⠘⠪'],
u'ジャ':['\x38\x51','\x2818\x2831','\x0c\x86',u'⠘⠱'],
u'ズィ':['\x38\x53','\x2818\x2833','\x0c\xc6',u'⠘⠳'],
u'ジュ':['\x38\x59','\x2818\x2839','\x0c\x8e',u'⠘⠹'],
u'ジェ':['\x38\x5b','\x2818\x283b','\x0c\xce',u'⠘⠻'],
u'ジョ':['\x38\x5a','\x2818\x283a','\x0c\x4e',u'⠘⠺'],
u'ヂャ':['\x38\x35','\x2818\x2815','\x0c\xa4',u'⠘⠕'],
u'ディ':['\x38\x37','\x2818\x2817','\x0c\xe4',u'⠘⠗'],
u'ヂュ':['\x38\x3d','\x2818\x281d','\x0c\xac',u'⠘⠝'],
u'ヂェ':['\x38\x3f','\x2818\x281f','\x0c\xec',u'⠘⠟'],
u'ヂョ':['\x38\x3e','\x2818\x281e','\x0c\x6c',u'⠘⠞'],
u'ビャ':['\x38\x45','\x2818\x2825','\x0c\xa2',u'⠘⠥'],
u'ビュ':['\x38\x4d','\x2818\x282d','\x0c\xaa',u'⠘⠭'],
u'ビェ':['\x38\x4f','\x2818\x282f','\x0c\xea',u'⠘⠯'],
u'ビョ':['\x38\x4e','\x2818\x282e','\x0c\x6a',u'⠘⠮'],
u'テュ':['\x48\x3d','\x2828\x281d','\x0a\xac',u'⠨⠝'],
u'ピャ':['\x48\x45','\x2828\x2825','\x0a\xa2',u'⠨⠥'],
u'ピュ':['\x48\x4d','\x2828\x282d','\x0a\xaa',u'⠨⠭'],
u'ピョ':['\x48\x4e','\x2828\x282e','\x0a\x6a',u'⠨⠮'],
u'フュ':['\x48\x4c','\x2828\x282c','\x0a\x2a',u'⠨⠬'],
u'フョ':['\x48\x3c','\x2828\x281c','\x0a\x2c',u'⠨⠜'],
u'デュ':['\x58\x3d','\x2838\x281d','\x0e\xac',u'⠸⠝'],
u'ヴュ':['\x58\x4c','\x2838\x282c','\x0e\x2a',u'⠸⠬'],
u'ヴョ':['\x58\x3c','\x2838\x281c','\x0e\x2c',u'⠸⠜'],
u'！ ':['\x42\x20','\x2822\x2800','\x42\x00',u'⠢⠀'],
u'ウァ':['\x42\x21','\x2822\x2801','\x42\x80',u'⠢⠁'],
u'ウィ':['\x42\x23','\x2822\x2803','\x42\xc0',u'⠢⠃'],
u'ウェ':['\x42\x2b','\x2822\x280b','\x42\xc8',u'⠢⠋'],
u'ウォ':['\x42\x2a','\x2822\x280a','\x42\x48',u'⠢⠊'],
u'クァ':['\x42\x41','\x2822\x2821','\x42\x82',u'⠢⠡'],
u'クィ':['\x42\x43','\x2822\x2823','\x42\xc2',u'⠢⠣'],
u'クェ':['\x42\x4b','\x2822\x282b','\x42\xca',u'⠢⠫'],
u'クォ':['\x42\x4a','\x2822\x282a','\x42\x4a',u'⠢⠪'],
u'ツァ':['\x42\x35','\x2822\x2815','\x42\xa4',u'⠢⠕'],
u'ツィ':['\x42\x37','\x2822\x2817','\x42\xe4',u'⠢⠗'],
u'トゥ':['\x42\x3d','\x2822\x281d','\x42\xac',u'⠢⠝'],
u'ツェ':['\x42\x3f','\x2822\x281f','\x42\xec',u'⠢⠟'],
u'ツォ':['\x42\x3e','\x2822\x281e','\x42\x6c',u'⠢⠞'],
u'ファ':['\x42\x45','\x2822\x2825','\x42\xa2',u'⠢⠥'],
u'フィ':['\x42\x47','\x2822\x2827','\x42\xe2',u'⠢⠧'],
u'フェ':['\x42\x4f','\x2822\x282f','\x42\xea',u'⠢⠯'],
u'フォ':['\x42\x4e','\x2822\x282e','\x42\x6a',u'⠢⠮'],
u'。 ':['\x52\x20','\x2832\x2800','\x46\x00',u'⠲⠀'],
u'グァ':['\x52\x41','\x2832\x2821','\x46\x82',u'⠲⠡'],
u'グィ':['\x52\x43','\x2832\x2823','\x46\xc2',u'⠲⠣'],
u'グェ':['\x52\x4b','\x2832\x282b','\x46\xca',u'⠲⠫'],
u'グォ':['\x52\x4a','\x2832\x282a','\x46\x4a',u'⠲⠪'],
u'ヅァ':['\x52\x35','\x2832\x2815','\x46\xa4',u'⠲⠕'],
u'ヅィ':['\x52\x37','\x2832\x2817','\x46\xe4',u'⠲⠗'],
u'ドゥ':['\x52\x3d','\x2832\x281d','\x46\xac',u'⠲⠝'],
u'ヅェ':['\x52\x3f','\x2832\x281f','\x46\xec',u'⠲⠟'],
u'ヅォ':['\x52\x3e','\x2832\x281e','\x46\x6c',u'⠲⠞'],
u'ヴァ':['\x52\x45','\x2832\x2825','\x46\xa2',u'⠲⠥'],
u'ヴィ':['\x52\x47','\x2832\x2827','\x46\xe2',u'⠲⠧'],
u'ヴェ':['\x52\x4f','\x2832\x282f','\x46\xea',u'⠲⠯'],
u'ヴォ':['\x52\x4e','\x2832\x282e','\x46\x6a',u'⠲⠮']
}
dic2={
u'0':['\x5c\x3a','\x283c\x281a','\x2e\x4c',u'⠼⠚'],
u'1':['\x5c\x21','\x283c\x2801','\x2e\x80',u'⠼⠁'],
u'2':['\x5c\x23','\x283c\x2803','\x2e\xc0',u'⠼⠃'],
u'3':['\x5c\x29','\x283c\x2809','\x2e\x88',u'⠼⠉'],
u'4':['\x5c\x39','\x283c\x2819','\x2e\x8c',u'⠼⠙'],
u'5':['\x5c\x31','\x283c\x2811','\x2e\x84',u'⠼⠑'],
u'6':['\x5c\x2b','\x283c\x280b','\x2e\xc8',u'⠼⠋'],
u'7':['\x5c\x3b','\x283c\x281b','\x2e\xcc',u'⠼⠛'],
u'8':['\x5c\x33','\x283c\x2813','\x2e\xc4',u'⠼⠓'],
u'9':['\x5c\x2a','\x283c\x280a','\x2e\x48',u'⠼⠊']
}
dic3={
u'a':['\x46\x21','\x2826\x2801','\x62\x80',u'⠰⠁'],
u'b':['\x46\x23','\x2826\x2803','\x62\xc0',u'⠰⠃'],
u'c':['\x46\x29','\x2826\x2809','\x62\x88',u'⠰⠉'],
u'd':['\x46\x39','\x2826\x2819','\x62\x8c',u'⠰⠙'],
u'e':['\x46\x31','\x2826\x2811','\x62\x84',u'⠰⠑'],
u'f':['\x46\x2b','\x2826\x280b','\x62\xc8',u'⠰⠋'],
u'g':['\x46\x3b','\x2826\x281b','\x62\xcc',u'⠰⠛'],
u'h':['\x46\x33','\x2826\x2813','\x62\xc4',u'⠰⠓'],
u'i':['\x46\x2a','\x2826\x280a','\x62\x48',u'⠰⠊'],
u'j':['\x46\x3a','\x2826\x281a','\x62\x4c',u'⠰⠚'],
u'k':['\x46\x25','\x2826\x2805','\x62\xa0',u'⠰⠅'],
u'l':['\x46\x27','\x2826\x2807','\x62\xe0',u'⠰⠇'],
u'm':['\x46\x2d','\x2826\x280d','\x62\xa8',u'⠰⠍'],
u'n':['\x46\x3d','\x2826\x281d','\x62\xac',u'⠰⠝'],
u'o':['\x46\x35','\x2826\x2815','\x62\xa4',u'⠰⠕'],
u'p':['\x46\x2f','\x2826\x280f','\x62\xe8',u'⠰⠏'],
u'q':['\x46\x3f','\x2826\x281f','\x62\xec',u'⠰⠟'],
u'r':['\x46\x37','\x2826\x2817','\x62\xe4',u'⠰⠗'],
u's':['\x46\x2e','\x2826\x280e','\x62\x68',u'⠰⠎'],
u't':['\x46\x3e','\x2826\x281e','\x62\x6c',u'⠰⠞'],
u'u':['\x46\x45','\x2826\x2825','\x62\xa2',u'⠰⠥'],
u'v':['\x46\x47','\x2826\x2827','\x62\xe2',u'⠰⠧'],
u'w':['\x46\x5a','\x2826\x283a','\x62\x4e',u'⠰⠺'],
u'x':['\x46\x4d','\x2826\x282d','\x62\xaa',u'⠰⠭'],
u'y':['\x46\x5d','\x2826\x283d','\x62\xae',u'⠰⠽'],
u'z':['\x46\x55','\x2826\x2835','\x62\xa6',u'⠰⠵']
}
dic4={
u'A':['\x46\x30\x21','\x2826\x2810\x2801','\x62\x04\x80',u'⠰⠠⠁'],
u'B':['\x46\x30\x23','\x2826\x2810\x2803','\x62\x04\xc0',u'⠰⠠⠃'],
u'C':['\x46\x30\x29','\x2826\x2810\x2809','\x62\x04\x88',u'⠰⠠⠉'],
u'D':['\x46\x30\x39','\x2826\x2810\x2819','\x62\x04\x8c',u'⠰⠠⠙'],
u'E':['\x46\x30\x31','\x2826\x2810\x2811','\x62\x04\x84',u'⠰⠠⠑'],
u'F':['\x46\x30\x2b','\x2826\x2810\x280b','\x62\x04\xc8',u'⠰⠠⠋'],
u'G':['\x46\x30\x3b','\x2826\x2810\x281b','\x62\x04\xcc',u'⠰⠠⠛'],
u'H':['\x46\x30\x33','\x2826\x2810\x2813','\x62\x04\xc4',u'⠰⠠⠓'],
u'I':['\x46\x30\x2a','\x2826\x2810\x280a','\x62\x04\x48',u'⠰⠠⠊'],
u'J':['\x46\x30\x3a','\x2826\x2810\x281a','\x62\x04\x4c',u'⠰⠠⠚'],
u'K':['\x46\x30\x25','\x2826\x2810\x2805','\x62\x04\xa0',u'⠰⠠⠅'],
u'L':['\x46\x30\x27','\x2826\x2810\x2807','\x62\x04\xe0',u'⠰⠠⠇'],
u'M':['\x46\x30\x2d','\x2826\x2810\x280d','\x62\x04\xa8',u'⠰⠠⠍'],
u'N':['\x46\x30\x3d','\x2826\x2810\x281d','\x62\x04\xac',u'⠰⠠⠝'],
u'O':['\x46\x30\x35','\x2826\x2810\x2815','\x62\x04\xa4',u'⠰⠠⠕'],
u'P':['\x46\x30\x2f','\x2826\x2810\x280f','\x62\x04\xe8',u'⠰⠠⠏'],
u'Q':['\x46\x30\x3f','\x2826\x2810\x281f','\x62\x04\xec',u'⠰⠠⠟'],
u'R':['\x46\x30\x37','\x2826\x2810\x2817','\x62\x04\xe4',u'⠰⠠⠗'],
u'S':['\x46\x30\x2e','\x2826\x2810\x280e','\x62\x04\x68',u'⠰⠠⠎'],
u'T':['\x46\x30\x3e','\x2826\x2810\x281e','\x62\x04\x6c',u'⠰⠠⠞'],
u'U':['\x46\x30\x45','\x2826\x2810\x2825','\x62\x04\xa2',u'⠰⠠⠥'],
u'V':['\x46\x30\x47','\x2826\x2810\x2827','\x62\x04\xe2',u'⠰⠠⠧'],
u'W':['\x46\x30\x5a','\x2826\x2810\x283a','\x62\x04\x4e',u'⠰⠠⠺'],
u'X':['\x46\x30\x4d','\x2826\x2810\x282d','\x62\x04\xaa',u'⠰⠠⠭'],
u'Y':['\x46\x30\x5d','\x2826\x2810\x283d','\x62\x04\xae',u'⠰⠠⠽'],
u'Z':['\x46\x30\x55','\x2826\x2810\x2835','\x62\x04\xa6',u'⠰⠠⠵']
}
