# -*- coding: utf-8 -*-
#tenji.py
#jtalk/tenji.py
#A part of NonVisual Desktop Access (NVDA)
#This file is covered by the GNU General Public License.
#See the file COPYING for more details.
#Copyright (C) 2012 Masataka.Shinke

import unicodedata
import tenjidic

def tenji(Val):
	RetValues=u""
	pos=0
	gaiji=False
	Values=unicodedata.normalize('NFKC',Val)
	while(pos<len(Values)):
		#Numeric
		if(tenjidic.dic2.has_key(Values[pos])):
			gaiji=False
			RetValues=RetValues+tenjidic.dic2.get(Values[pos])[3][0]
			while(tenjidic.dic2.has_key(Values[pos])):
				RetValues=RetValues+tenjidic.dic2.get(Values[pos])[3][1]
				pos=pos+1
				if(pos>=len(Values)):
					break
		#Lower case alphabet
		elif(tenjidic.dic3.has_key(Values[pos])):
			if(gaiji==False):
				RetValues=RetValues+tenjidic.dic3.get(Values[pos])[3][0]
			gaiji=True
			while(tenjidic.dic3.has_key(Values[pos])):
				RetValues=RetValues+tenjidic.dic3.get(Values[pos])[3][1]
				pos=pos+1
				if(pos>=len(Values)):
					break
		#Upper case alphabet
		elif(tenjidic.dic4.has_key(Values[pos])):
			if(gaiji==False):
				RetValues=RetValues+tenjidic.dic4.get(Values[pos])[3][0]
			RetValues=RetValues+tenjidic.dic4.get(Values[pos])[3][1]
			gaiji=True
			if( tenjidic.dic4.has_key(Values[pos])&((pos+1)<len(Values))):
				if(tenjidic.dic4.has_key(Values[pos+1])):
					RetValues=RetValues+tenjidic.dic4.get(Values[pos])[3][1]
			while(tenjidic.dic4.has_key(Values[pos])):
				RetValues=RetValues+tenjidic.dic4.get(Values[pos])[3][2]
				pos=pos+1
				if(pos>=len(Values)):
					break
		#Tow Character
		elif(tenjidic.dic1.has_key(Values[pos:pos+2])&((pos+1)<len(Values))):
			gaiji=False
			RetValues=RetValues+tenjidic.dic1.get(Values[pos:pos+2])[3]
			pos=pos+2
		#One Character
		elif(tenjidic.dic1.has_key(Values[pos])):
			gaiji=False
			RetValues=RetValues+tenjidic.dic1.get(Values[pos])[3]
			pos=pos+1
		#Exception
		else:
			gaiji=False
			RetValues=RetValues+u"□"
			pos=pos+1
	return RetValues
if __name__ == '__main__':
	Values1=u'1234567890アイウエオカキクケコサシスセソタチツテトナニヌネノハヒフヘホマミムメモヤユヨン'
	Values2=u'ガギグゲゴザジズゼゾダジズデドパピプペポキャキュキョチャチュチョヒャヒュヒョジャジュジョピャピュピョ'
	Values3=u'abcdefghijklmnopqrstuvwxyz'
	Values4=u'ABCDEFGHIJKLMNOPQRSTUVWXYZ'
	print Values1
	print tenji(Values1)
	print Values2
	print tenji(Values2)
	print Values3
	print tenji(Values3)
	print Values4
	print tenji(Values4)
